Get Campaign
curl --request GET \
--url https://api.voxo.co/v2/admin/call-campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/call-campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/call-campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"type": "<string>",
"dateStart": "<string>",
"dateEnd": "<string>",
"callerId": "<string>",
"callDelay": 123,
"state": "<string>",
"lastrun": "2023-11-07T05:31:56Z",
"dialtimeout": 123,
"tech": "<string>",
"message": "<string>",
"timeStart": "<string>",
"timeEnd": "<string>",
"timezone": "<string>",
"callFrequency": 123,
"callHoursStart": "<string>",
"callHoursEnd": "<string>",
"recording": "<string>",
"numbers": [
{
"number": "<string>",
"description": "<string>",
"disposition": "<string>"
}
],
"destinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"enableVMDetect": 123,
"matchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"notMatchDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Call Campaigns
Get Campaign
Get a call campaign by ID with numbers and destinations
GET
/
v2
/
admin
/
call-campaigns
/
{campaignId}
Get Campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Campaign ID
Pattern:
^[1-9]\d*$Response
Campaign details
Campaign ID
Tenant ID
Campaign name
Campaign type
Start date
End date
Caller ID phone number
Delay between calls in ms
Campaign state
Last run timestamp
Dial timeout in seconds
Technology type
Campaign message
Start time
End time
IANA timezone
Call frequency in seconds
Calling hours start
Calling hours end
Recording enabled (yes/no)
Campaign phone numbers
Show child attributes
Show child attributes
Routing destinations
Show child attributes
Show child attributes
VM detection enabled (1/0)
VM detect match destinations
Show child attributes
Show child attributes
VM detect no-match destinations
Show child attributes
Show child attributes
Was this page helpful?